%define version 0.6.6
%define kdename caitoo

Name:         %{kdename}
Release:      1
Packager:     Matt Koss <koss@miesto.sk>

Copyright:    GPL
Group:	      unsorted
Provides:     %{kdename}
Autoreqprov:  on
Summary:      Internet download manager
Version:      %{version}
Source0:      %{kdename}-%{version}.tar.gz

%description
Caitoo ( formerly known as KGet ) is a download manager similar to Go!zilla(tm) 
or GetRight Download(tm). It keeps all your downloads in one dialog and you can
add and remove transfers. Transfers can be paused, resumed, queued or scheduled.
Dialogs display info about status of transfers - progress, size, speed and remaining time.
Program supports drag & drop feature of KDE and Netscape.

Authors:
--------
    Matt Koss <koss@miesto.sk>

%prep

%setup -n %{kdename}-%{version}

%build
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/opt/kde \
  --with-qt-dir=$QTDIR \
  --with-qt-includes=$QTDIR/include \
  --with-qt-libraries=$QTDIR/lib
touch ./Makefile.in --reference=./po/Makefile.am
touch ./configure --reference=./po/Makefile.am
touch ./kiolib/Makefile.in --reference=./po/Makefile.am
touch ./kioslave/Makefile.in --reference=./po/Makefile.am
touch ./kioslave/file/Makefile.in --reference=./po/Makefile.am
touch ./kioslave/ftp/Makefile.in --reference=./po/Makefile.am
touch ./kioslave/http/Makefile.in --reference=./po/Makefile.am
touch ./caitoo/Makefile.in --reference=./po/Makefile.am
touch ./caitoo/docs/Makefile.in --reference=./po/Makefile.am
touch ./caitoo/docs/en/Makefile.in --reference=./po/Makefile.am
touch ./caitoo/docs/de/Makefile.in --reference=./po/Makefile.am
touch ./caitoo/docs/fr/Makefile.in --reference=./po/Makefile.am
touch ./caitoo/docs/it/Makefile.in --reference=./po/Makefile.am
touch ./caitoo/pixmaps/Makefile.in --reference=./po/Makefile.am
touch ./caitoo/sounds/Makefile.in --reference=./po/Makefile.am
make

%install
make install
install -d -m 755 /usr/doc/packages/caitoo
install -m 644 ./README /usr/doc/packages/caitoo
install -m 644 ./AUTHORS /usr/doc/packages/caitoo
install -m 644 ./COPYING /usr/doc/packages/caitoo
install -m 644 ./ChangeLog /usr/doc/packages/caitoo
install -m 644 ./INSTALL /usr/doc/packages/caitoo
%{?suse_check:%{suse_check}}

%files
%docdir /usr/doc
%docdir /usr/man
%docdir /opt/kde/share/doc
%dir /opt/kde/share/apps/caitoo
%dir /opt/kde/share/apps/caitoo/pics
%dir /opt/kde/share/apps/caitoo/sounds
%dir /opt/kde/share/doc/HTML/de/caitoo
%dir /opt/kde/share/doc/HTML/en/caitoo
%dir /opt/kde/share/doc/HTML/fr/caitoo
%dir /opt/kde/share/doc/HTML/it/caitoo
%dir /usr/doc/packages/caitoo
/opt/kde/bin/caitoo
/opt/kde/bin/caitooclient
/opt/kde/bin/kio_file
/opt/kde/bin/kio_ftp
/opt/kde/bin/kio_http
/opt/kde/lib/libkio.la
/opt/kde/lib/libkio.so
/opt/kde/lib/libkio.so.3
/opt/kde/lib/libkio.so.3.0.0
/opt/kde/share/applnk/Internet/caitoo.kdelnk
/opt/kde/share/apps/caitoo/pics/connect0.xpm
/opt/kde/share/apps/caitoo/pics/connect1.xpm
/opt/kde/share/apps/caitoo/pics/connect2.xpm
/opt/kde/share/apps/caitoo/pics/connect3.xpm
/opt/kde/share/apps/caitoo/pics/connect4.xpm
/opt/kde/share/apps/caitoo/pics/connect5.xpm
/opt/kde/share/apps/caitoo/pics/connect6.xpm
/opt/kde/share/apps/caitoo/pics/dock_hand1.xpm
/opt/kde/share/apps/caitoo/pics/dock_hand2.xpm
/opt/kde/share/apps/caitoo/pics/dock_hand3.xpm
/opt/kde/share/apps/caitoo/pics/md_delayed.xpm
/opt/kde/share/apps/caitoo/pics/md_finished.xpm
/opt/kde/share/apps/caitoo/pics/md_queued.xpm
/opt/kde/share/apps/caitoo/pics/md_scheduled.xpm
/opt/kde/share/apps/caitoo/pics/retrying.xpm
/opt/kde/share/apps/caitoo/pics/target_hand1.xpm
/opt/kde/share/apps/caitoo/pics/target_hand2.xpm
/opt/kde/share/apps/caitoo/pics/target_hand3.xpm
/opt/kde/share/apps/caitoo/pics/tool_clipboard.xpm
/opt/kde/share/apps/caitoo/pics/tool_delay.xpm
/opt/kde/share/apps/caitoo/pics/tool_delete.xpm
/opt/kde/share/apps/caitoo/pics/tool_disconnect.xpm
/opt/kde/share/apps/caitoo/pics/tool_dock.xpm
/opt/kde/share/apps/caitoo/pics/tool_drop_target.xpm
/opt/kde/share/apps/caitoo/pics/tool_expert.xpm
/opt/kde/share/apps/caitoo/pics/tool_logwindow.xpm
/opt/kde/share/apps/caitoo/pics/tool_offline_mode.xpm
/opt/kde/share/apps/caitoo/pics/tool_paste.xpm
/opt/kde/share/apps/caitoo/pics/tool_pause.xpm
/opt/kde/share/apps/caitoo/pics/tool_preferences.xpm
/opt/kde/share/apps/caitoo/pics/tool_queue.xpm
/opt/kde/share/apps/caitoo/pics/tool_restart.xpm
/opt/kde/share/apps/caitoo/pics/tool_resume.xpm
/opt/kde/share/apps/caitoo/pics/tool_shutdown.xpm
/opt/kde/share/apps/caitoo/pics/tool_timer.xpm
/opt/kde/share/apps/caitoo/pics/tool_uselastdir.xpm
/opt/kde/share/apps/caitoo/pics/try0.xpm
/opt/kde/share/apps/caitoo/pics/try1.xpm
/opt/kde/share/apps/caitoo/pics/try2.xpm
/opt/kde/share/apps/caitoo/pics/try3.xpm
/opt/kde/share/apps/caitoo/pics/try4.xpm
/opt/kde/share/apps/caitoo/pics/try5.xpm
/opt/kde/share/apps/caitoo/pics/try6.xpm
/opt/kde/share/apps/caitoo/sounds/added.wav
/opt/kde/share/apps/caitoo/sounds/finished.wav
/opt/kde/share/apps/caitoo/sounds/finishedall.wav
/opt/kde/share/apps/caitoo/sounds/started.wav
/opt/kde/share/doc/HTML/de/caitoo/config.gif
/opt/kde/share/doc/HTML/de/caitoo/docked.gif
/opt/kde/share/doc/HTML/de/caitoo/index-1.html
/opt/kde/share/doc/HTML/de/caitoo/index-2.html
/opt/kde/share/doc/HTML/de/caitoo/index-3.html
/opt/kde/share/doc/HTML/de/caitoo/index-4.html
/opt/kde/share/doc/HTML/de/caitoo/index-5.html
/opt/kde/share/doc/HTML/de/caitoo/index-6.html
/opt/kde/share/doc/HTML/de/caitoo/index-7.html
/opt/kde/share/doc/HTML/de/caitoo/index.html
/opt/kde/share/doc/HTML/de/caitoo/listbox.gif
/opt/kde/share/doc/HTML/de/caitoo/logotp3.gif
/opt/kde/share/doc/HTML/de/caitoo/progress.gif
/opt/kde/share/doc/HTML/de/caitoo/rmb.gif
/opt/kde/share/doc/HTML/de/caitoo/toolbar.gif
/opt/kde/share/doc/HTML/en/caitoo/config.gif
/opt/kde/share/doc/HTML/en/caitoo/docked.gif
/opt/kde/share/doc/HTML/en/caitoo/drop1.gif
/opt/kde/share/doc/HTML/en/caitoo/drop2.gif
/opt/kde/share/doc/HTML/en/caitoo/drop3.gif
/opt/kde/share/doc/HTML/en/caitoo/index-1.html
/opt/kde/share/doc/HTML/en/caitoo/index-2.html
/opt/kde/share/doc/HTML/en/caitoo/index-3.html
/opt/kde/share/doc/HTML/en/caitoo/index-4.html
/opt/kde/share/doc/HTML/en/caitoo/index-5.html
/opt/kde/share/doc/HTML/en/caitoo/index-6.html
/opt/kde/share/doc/HTML/en/caitoo/index-7.html
/opt/kde/share/doc/HTML/en/caitoo/index.html
/opt/kde/share/doc/HTML/en/caitoo/listbox.gif
/opt/kde/share/doc/HTML/en/caitoo/log.gif
/opt/kde/share/doc/HTML/en/caitoo/logotp3.gif
/opt/kde/share/doc/HTML/en/caitoo/progress.gif
/opt/kde/share/doc/HTML/en/caitoo/rmb.gif
/opt/kde/share/doc/HTML/en/caitoo/toolbar.gif
/opt/kde/share/doc/HTML/fr/caitoo/config.gif
/opt/kde/share/doc/HTML/fr/caitoo/docked.gif
/opt/kde/share/doc/HTML/fr/caitoo/index-1.html
/opt/kde/share/doc/HTML/fr/caitoo/index-2.html
/opt/kde/share/doc/HTML/fr/caitoo/index-3.html
/opt/kde/share/doc/HTML/fr/caitoo/index-4.html
/opt/kde/share/doc/HTML/fr/caitoo/index-5.html
/opt/kde/share/doc/HTML/fr/caitoo/index-6.html
/opt/kde/share/doc/HTML/fr/caitoo/index-7.html
/opt/kde/share/doc/HTML/fr/caitoo/index.html
/opt/kde/share/doc/HTML/fr/caitoo/listbox.gif
/opt/kde/share/doc/HTML/fr/caitoo/logotp3.gif
/opt/kde/share/doc/HTML/fr/caitoo/progress.gif
/opt/kde/share/doc/HTML/fr/caitoo/rmb.gif
/opt/kde/share/doc/HTML/fr/caitoo/toolbar.gif
/opt/kde/share/doc/HTML/it/caitoo/config.gif
/opt/kde/share/doc/HTML/it/caitoo/docked.gif
/opt/kde/share/doc/HTML/it/caitoo/index-1.html
/opt/kde/share/doc/HTML/it/caitoo/index-2.html
/opt/kde/share/doc/HTML/it/caitoo/index-3.html
/opt/kde/share/doc/HTML/it/caitoo/index-4.html
/opt/kde/share/doc/HTML/it/caitoo/index-5.html
/opt/kde/share/doc/HTML/it/caitoo/index-6.html
/opt/kde/share/doc/HTML/it/caitoo/index-7.html
/opt/kde/share/doc/HTML/it/caitoo/index.html
/opt/kde/share/doc/HTML/it/caitoo/listbox.gif
/opt/kde/share/doc/HTML/it/caitoo/logotp3.gif
/opt/kde/share/doc/HTML/it/caitoo/progress.gif
/opt/kde/share/doc/HTML/it/caitoo/rmb.gif
/opt/kde/share/doc/HTML/it/caitoo/toolbar.gif
/opt/kde/share/icons/caitoo.xpm
/opt/kde/share/locale/ca/LC_MESSAGES/caitoo.mo
/opt/kde/share/locale/cz/LC_MESSAGES/caitoo.mo
/opt/kde/share/locale/de/LC_MESSAGES/caitoo.mo
/opt/kde/share/locale/es/LC_MESSAGES/caitoo.mo
/opt/kde/share/locale/fr/LC_MESSAGES/caitoo.mo
/opt/kde/share/locale/it/LC_MESSAGES/caitoo.mo
/opt/kde/share/locale/ja/LC_MESSAGES/caitoo.mo
/opt/kde/share/locale/sv/LC_MESSAGES/caitoo.mo
/usr/doc/packages/caitoo/AUTHORS
/usr/doc/packages/caitoo/COPYING
/usr/doc/packages/caitoo/ChangeLog
/usr/doc/packages/caitoo/INSTALL
/usr/doc/packages/caitoo/README
